Bug 342111 - multiarch conflicts in libgeotiff
multiarch conflicts in libgeotiff
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libgeotiff (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Balint Cristian
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 17:46 EDT by Bill Nottingham
Modified: 2014-03-16 23:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-26 12:03:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-19 17:46:10 EDT
libgeotiff (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/share/doc/libgeotiff-devel-1.2.4/api/annotated.html from install of libgeotiff-devel-1.2.4-0.5.rc1.fc8 conflicts with file from package libgeotiff-devel-1.2.4-0.5.rc1.fc8
  file /usr/share/doc/libgeotiff-devel-1.2.4/api/cpl__serv_8h-source.html from install of libgeotiff-devel-1.2.4-0.5.rc1.fc8 conflicts with file from package libgeotiff-devel-1.2.4-0.5.rc1.fc8
  file /usr/share/doc/libgeotiff-devel-1.2.4/api/defs_8h-source.html from install of libgeotiff-devel-1.2.4-0.5.rc1.fc8 conflicts with file from package libgeotiff-devel-1.2.4-0.5.rc1.fc8
  file /usr/share/doc/libgeotiff-devel-1.2.4/api/files.html from install of libgeotiff-devel-1.2.4-0.5.rc1.fc8 conflicts with file from package libgeotiff-devel-1.2.4-0.5.rc1.fc8
  file /usr/share/doc/libgeotiff-devel-1.2.4/api/functions.html from install of libgeotiff-devel-1.2.4-0.5.rc1.fc8 conflicts with file from package libgeotiff-devel-1.2.4-0.5.rc1.fc8
  file /usr/share/doc/libgeotiff-devel-1.2.4/api/functions_vars.html from install of libgeotiff-devel-1.2.4-0.5.rc1.fc8 conflicts with file from package libgeotiff-devel-1.2.4-0.5.rc1.fc8
  file /usr/share/doc/libgeotiff-devel-1.2.4/api/geo__config_8h-source.html from install of libgeotiff-devel-1.2.4-0.5.rc1.fc8 conflicts with file from package libgeotiff-devel-1.2.4-0.5.rc1.fc8
  file /usr/share/doc/libgeotiff-devel-1.2.4/api/geo__keyp_8h-source.html from install of libgeotiff-devel-1.2.4-0.5.rc1.fc8 conflicts with file from package libgeotiff-devel-1.2.4-0.5.rc1.fc8
  file /usr/share/doc/libgeotiff-devel-1.2.4/api/geo__normalize_8h-source.html from install of libgeotiff-devel-1.2.4-0.5.rc1.fc8 conflicts with file from package libgeotiff-devel-1.2.4-0.5.rc1.fc8
  file /usr/share/doc/libgeotiff-devel-1.2.4/api/geo__normalize_8h.html from install of libgeotiff-devel-1.2.4-0.5.rc1.fc8 conflicts with file from package libgeotiff-devel-1.2.4-0.5.rc1.fc8
  file /usr/share/doc/libgeotiff-devel-1.2.4/api/geo__tiffp_8h-source.html from install of libgeotiff-devel-1.2.4-0.5.rc1.fc8 conflicts with file from package libgeotiff-devel-1.2.4-0.5.rc1.fc8
  file /usr/share/doc/libgeotiff-devel-1.2.4/api/geokeys_8h-source.html from install of libgeotiff-devel-1.2.4-0.5.rc1.fc8 conflicts with file from package libgeotiff-devel-1.2.4-0.5.rc1.fc8
  file /usr/share/doc/libgeotiff-devel-1.2.4/api/geonames_8h-source.html from install of libgeotiff-devel-1.2.4-0.5.rc1.fc8 conflicts with file from package libgeotiff-devel-1.2.4-0.5.rc1.fc8
  file /usr/share/doc/libgeotiff-devel-1.2.4/api/geotiff_8h-source.html from install of libgeotiff-devel-1.2.4-0.5.rc1.fc8 conflicts with file from package libgeotiff-devel-1.2.4-0.5.rc1.fc8
  file /usr/share/doc/libgeotiff-devel-1.2.4/api/geotiff_8h.html from install of libgeotiff-devel-1.2.4-0.5.rc1.fc8 conflicts with file from package libgeotiff-devel-1.2.4-0.5.rc1.fc8
  file /usr/share/doc/libgeotiff-devel-1.2.4/api/geotiffio_8h-source.html from install of libgeotiff-devel-1.2.4-0.5.rc1.fc8 conflicts with file from package libgeotiff-devel-1.2.4-0.5.rc1.fc8
  file /usr/share/doc/libgeotiff-devel-1.2.4/api/geovalues_8h-source.html from install of libgeotiff-devel-1.2.4-0.5.rc1.fc8 conflicts with file from package libgeotiff-devel-1.2.4-0.5.rc1.fc8
  file /usr/share/doc/libgeotiff-devel-1.2.4/api/index.html from install of libgeotiff-devel-1.2.4-0.5.rc1.fc8 conflicts with file from package libgeotiff-devel-1.2.4-0.5.rc1.fc8
  file /usr/share/doc/libgeotiff-devel-1.2.4/api/pages.html from install of libgeotiff-devel-1.2.4-0.5.rc1.fc8 conflicts with file from package libgeotiff-devel-1.2.4-0.5.rc1.fc8
  file /usr/share/doc/libgeotiff-devel-1.2.4/api/structGTIFDefn-members.html from install of libgeotiff-devel-1.2.4-0.5.rc1.fc8 conflicts with file from package libgeotiff-devel-1.2.4-0.5.rc1.fc8
  file /usr/share/doc/libgeotiff-devel-1.2.4/api/structGTIFDefn.html from install of libgeotiff-devel-1.2.4-0.5.rc1.fc8 conflicts with file from package libgeotiff-devel-1.2.4-0.5.rc1.fc8
  file /usr/share/doc/libgeotiff-devel-1.2.4/api/xtiffio_8h-source.html from install of libgeotiff-devel-1.2.4-0.5.rc1.fc8 conflicts with file from package libgeotiff-devel-1.2.4-0.5.rc1.fc8
  file /usr/share/doc/libgeotiff-devel-1.2.4/api/xtiffio_8h.html from install of libgeotiff-devel-1.2.4-0.5.rc1.fc8 conflicts with file from package libgeotiff-devel-1.2.4-0.5.rc1.fc8

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.
Comment 1 Balint Cristian 2008-01-04 15:53:04 EST
Me Balint Cristian as former redhat employee, would like to please to grant for
my Balint Cristian <rezso@rdsor.ro> access from a non RH account:

My account looks like this (i pass CLA and so on):
cvsextras 	rezso 		user 	unapproved 	None
fedorabugs 	rezso 		user 	unapproved 	Unneeded

I guess i need new sponsorshisp since i cannot access cbalint@redhat.com
anymore for obvious reason, so I have to use non RH account for future.
Comment 2 Balint Cristian 2008-01-04 17:09:54 EST
ok, i got group access from jkeating
Comment 3 Balint Cristian 2008-01-04 17:10:08 EST
Package Change Request
======================
Package Name: gdal
Owners: rezso@rdsor.ro
Comment 4 Dennis Gilmore 2008-01-05 13:44:26 EST
need fas account names not email addresses
Comment 5 Balint Cristian 2008-01-05 14:23:31 EST
Package Change Request
======================
Package Name: gdal
Owners: rezso
Comment 6 Kevin Fenzi 2008-01-05 16:49:15 EST
cvs done.
Comment 7 Kevin Fenzi 2008-01-05 16:51:15 EST
Wait, did you mean the package name to be 'geotiff' here?
Comment 8 Balint Cristian 2008-01-05 18:30:51 EST
Package Change Request
======================
Package Name: libgeotiff
Owners: rezso
Comment 9 Balint Cristian 2008-01-05 19:12:58 EST
Works. A newer release (final) is in koji now.

Annyone can please close this bug ?
Comment 10 Kevin Fenzi 2008-01-05 19:53:29 EST
You should be able to do so... are the multiarch problems fixed?

Also, are all your ownerships figured out? 
There are still some packages with the cvs flag set that ask for ownership on
gdal... which should be done. 
Comment 11 Balint Cristian 2008-01-05 20:07:26 EST
+* Sun Jan 06 2008 Balint Cristian <rezso@rdsor.ro> - 1.2.4-2
+- Fix multilib issue by removal of datetime in doxygen footers

Bill, can close this please ?
Comment 12 Balint Cristian 2008-01-05 20:12:25 EST
Hello Kevin,

1) first, issue figured out as this initial bug report was, already in koji now.
2) I done some management in pkgdb not sure anymore if need rise up cvs? flag.
3) I appologies for those copy-pastes, I already properly re-asked for owner
changes.


Still not sure, if i got evrything in admin.pkgs database than cvs+ is still
needed ? I was able to commit libgeotiff thats what i can surley to say.


Bug can be closed if cvs+ not needed, i am sorry really puzzled why cvs+ need 
and why than admin.pkgs


Comment 13 Balint Cristian 2008-01-05 20:39:05 EST
Kevin i do it onece more than, close this if consider duplicate.

Package Change Request
======================
Package Name: libgeotiff
Owners: rezso
Comment 14 Kevin Fenzi 2008-01-06 12:14:35 EST
ok, libgeotiff looks like it's correctly owned by you. 
I will check all of the other packages. 
Feel free to reset fedora-cvs flag or email me direct if you need anything further. 
Comment 15 Bug Zapper 2008-05-13 23:33:46 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.